org.apache.cassandra.db

## Class Mutation

- java.lang.Object
- - org.apache.cassandra.db.Mutation

All Implemented Interfaces:
  IMutation

    public class Mutation
    extends java.lang.Object
    implements IMutation

### Nested Class Summary

Nested Classes
`static class` `Mutation.MutationSerializer`

### Field Summary

Fields
`static java.lang.String` `FORWARD_FROM`
`static java.lang.String` `FORWARD_TO`
`static Mutation.MutationSerializer` `serializer`

### Constructor Summary

Constructors
`` `Mutation(java.nio.ByteBuffer key, ColumnFamily cf)`
`` `Mutation(java.lang.String keyspaceName, java.nio.ByteBuffer key)`
`` `Mutation(java.lang.String keyspaceName, java.nio.ByteBuffer key, ColumnFamily cf)`
`protected` `Mutation(java.lang.String keyspaceName, java.nio.ByteBuffer key, java.util.Map<java.util.UUID,ColumnFamily> modifications)`
`` `Mutation(java.lang.String keyspaceName, Row row)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(ColumnFamily columnFamily)`
`void` `add(java.lang.String cfName, CellName name, java.nio.ByteBuffer value, long timestamp)`
`void` `add(java.lang.String cfName, CellName name, java.nio.ByteBuffer value, long timestamp, int timeToLive)`
`void` `addAll(IMutation m)`
`void` `addCounter(java.lang.String cfName, CellName name, long value)`
`ColumnFamily` `addOrGet(CFMetaData cfm)`
`ColumnFamily` `addOrGet(java.lang.String cfName)`
`void` `apply()`
`void` `applyUnsafe()`
`Mutation` `copy()`
`MessageOut<Mutation>` `createMessage()`
`MessageOut<Mutation>` `createMessage(MessagingService.Verb verb)`
`void` `delete(java.lang.String cfName, CellName name, long timestamp)`
`void` `delete(java.lang.String cfName, long timestamp)`
`void` `deleteRange(java.lang.String cfName, Composite start, Composite end, long timestamp)`
`java.util.Collection<ColumnFamily>` `getColumnFamilies()`
`ColumnFamily` `getColumnFamily(java.util.UUID cfId)`
`java.util.Collection<java.util.UUID>` `getColumnFamilyIds()`
`java.lang.String` `getKeyspaceName()`
`long` `getTimeout()`
`boolean` `isEmpty()`
`java.nio.ByteBuffer` `key()`
`java.lang.String` `toString()`
`java.lang.String` `toString(boolean shallow)`
`Mutation` `without(java.util.UUID cfId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serializer

    public static final Mutation.MutationSerializer serializer

#### FORWARD_TO

    public static final java.lang.String FORWARD_TO

See Also:
  Constant Field Values

#### FORWARD_FROM

    public static final java.lang.String FORWARD_FROM

See Also:
  Constant Field Values

### Constructor Detail

#### Mutation

    public Mutation(java.lang.String keyspaceName,
                    java.nio.ByteBuffer key)

#### Mutation

    public Mutation(java.lang.String keyspaceName,
                    java.nio.ByteBuffer key,
                    ColumnFamily cf)

#### Mutation

    public Mutation(java.lang.String keyspaceName,
                    Row row)

#### Mutation

    protected Mutation(java.lang.String keyspaceName,
                       java.nio.ByteBuffer key,
                       java.util.Map<java.util.UUID,ColumnFamily> modifications)

#### Mutation

    public Mutation(java.nio.ByteBuffer key,
                    ColumnFamily cf)

### Method Detail

#### copy

    public Mutation copy()

#### getKeyspaceName

    public java.lang.String getKeyspaceName()

Specified by:
  `getKeyspaceName` in interface `IMutation`

#### getColumnFamilyIds

    public java.util.Collection<java.util.UUID> getColumnFamilyIds()

Specified by:
  `getColumnFamilyIds` in interface `IMutation`

#### key

    public java.nio.ByteBuffer key()

Specified by:
  `key` in interface `IMutation`

#### getColumnFamilies

    public java.util.Collection<ColumnFamily> getColumnFamilies()

Specified by:
  `getColumnFamilies` in interface `IMutation`

#### getColumnFamily

    public ColumnFamily getColumnFamily(java.util.UUID cfId)

#### add

    public void add(ColumnFamily columnFamily)

#### addOrGet

    public ColumnFamily addOrGet(java.lang.String cfName)

Returns:
  the ColumnFamily in this Mutation corresponding to @param cfName, creating an empty one if necessary.

#### addOrGet

    public ColumnFamily addOrGet(CFMetaData cfm)

#### isEmpty

    public boolean isEmpty()

#### add

    public void add(java.lang.String cfName,
                    CellName name,
                    java.nio.ByteBuffer value,
                    long timestamp,
                    int timeToLive)

#### addCounter

    public void addCounter(java.lang.String cfName,
                           CellName name,
                           long value)

#### add

    public void add(java.lang.String cfName,
                    CellName name,
                    java.nio.ByteBuffer value,
                    long timestamp)

#### delete

    public void delete(java.lang.String cfName,
                       long timestamp)

#### delete

    public void delete(java.lang.String cfName,
                       CellName name,
                       long timestamp)

#### deleteRange

    public void deleteRange(java.lang.String cfName,
                            Composite start,
                            Composite end,
                            long timestamp)

#### addAll

    public void addAll(IMutation m)

Specified by:
  `addAll` in interface `IMutation`

#### apply

    public void apply()

#### applyUnsafe

    public void applyUnsafe()

#### createMessage

    public MessageOut<Mutation> createMessage()

#### createMessage

    public MessageOut<Mutation> createMessage(MessagingService.Verb verb)

#### getTimeout

    public long getTimeout()

Specified by:
  `getTimeout` in interface `IMutation`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toString

    public java.lang.String toString(boolean shallow)

Specified by:
  `toString` in interface `IMutation`

#### without

    public Mutation without(java.util.UUID cfId)